=== debian/changelog ===
plasma-framework (5.44.0-0ubuntu3) bionic; urgency=medium

  * Add upstream patch to fix crash on switching between 'FolderView'
    and 'Desktop' for the desktop containment. (LP: #1759328)
    I tested this and confirmed the fix in upstream code review
    at https://phabricator.kde.org/D12064
    - d/p: upstream_fix-crash-on-desktop-containment-switch.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 10 Apr 2018 16:18:49 +0100

plasma-framework (5.44.0-0ubuntu2) bionic; urgency=medium

  * Add missing libkf5windowsystem-dev dependency to libkf5plasma-dev

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 21 Mar 2018 02:19:49 +0000

plasma-framework (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0) (LP: #1754825)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:23 +0000

plasma-framework (5.43.0-0ubuntu2) bionic; urgency=medium

  * Skip flaky test that only fails on ubuntu infra

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 09:33:11 +0000

plasma-framework (5.43.0-0ubuntu1) bionic; urgency=medium

  * New build depend on qtquickcontrols2-5-dev
  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:48 +0000

plasma-framework (5.42.0-0ubuntu1) bionic; urgency=medium

  * New build dep on kirigami2-dev
  * Install kirigami plasma styles
  * Breaks/replaces on kiriagmi qml module from 5.41 release, where
    the plamsa styles moved to this source
  * New upstream release (5.42.0)
  * Update symbols from build logs
  * Update runtime deps

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:24:18 +0000

plasma-framework (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Update symbols from build logs. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:09:49 -0600

plasma-framework (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:55 +0000
