=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus (>= 1.8), libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, breeze-icon-theme,
         qml-module-qtquick2, hicolor-icon-theme, openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
