## plasma-framework 5.50.0

=== debian/changelog ===
plasma-framework (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:19:55 +0100

plasma-framework (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:26 +0100

plasma-framework (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Drop transitional plasma-framework-dev package
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:47 +0100

plasma-framework (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Update symbols files.
  * testsuite: Run tests one at the time
  * testsuite: Ignore stderr
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:51 +0200

plasma-framework (5.46.0-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied patch:
    - upstream_fix-crash-on-desktop-containment-switch.patch 
  * New upstream release (5.46.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:52 +0100

plasma-framework (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:11 +0200

plasma-framework (5.45.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.45.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Apr 2018 21:09:46 +0200

plasma-framework (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).

  [ Maximiliano Curia ]
  * Bump group breaks (5.44)
  * Update build-deps and deps with the info from cmake
  * Release to sid

  [ Pino Toscano ]
  * Drop the transitional plasma-framework-dev, as it is no more needed now.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:31 +0100

plasma-framework (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:22 +0100
