=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               kirigami2-dev (>= 5.50.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.50.0~),
               libkf5archive-dev (>= 5.50.0~),
               libkf5codecs-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5guiaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5idletime-dev (>= 5.50.0~),
               libkf5itemmodels-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5package-dev (>= 5.50.0~),
               libkf5parts-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5solid-dev (>= 5.50.0~),
               libkf5su-dev (>= 5.50.0~),
               libkf5threadweaver-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.50.0~),
         libkf5package-dev (>= 5.50.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.50.0~),
         libkf5windowsystem-dev (>= 5.50.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5plasma-doc (= ${source:Version})
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.43.0~),
        plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.43.0~),
          plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qml-module-org-kde-runnermodel (<< 5.42)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.47),
         qml-module-org-kde-kirigami2 (>= 5.47),
         qml-module-org-kde-kquickcontrols (>= 5.47),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Replaces: plasma-widgets-addons (<= 4:5.5~),
          qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.
