## plasma-framework 5.56.1

=== debian/changelog ===
plasma-framework (5.56.1-0ubuntu2) disco; urgency=medium

  * Replace incorrectly formatted Breeze tooltip and background svgs with
    fixed versions from upstream git. KDE BUG: 405548.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 22 Mar 2019 10:21:07 +0000

plasma-framework (5.56.1-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.56.1).

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 11:10:08 +0000

plasma-framework (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:48 +0000

plasma-framework (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:13 +0000

plasma-framework (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:24 +0000

plasma-framework (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:58 +0000

plasma-framework (5.52.0a-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Refresh kubuntu_skip-flaky-test.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:21 +0000
